﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerMovement : MonoBehaviour
{
    public float speed = 6f;

    private Rigidbody rb;

    private Vector3 movement;

    public float jumpForce;
    private float vertical;
    private float horizontal;
    private bool isOnGround;
    public bool value;
    // Use this for initialization
    private void Start()
    {
        rb = GetComponent<Rigidbody>();
        isOnGround = true;
    }

    private void FixedUpdate()
    {
        vertical = Input.GetAxisRaw("Vertical");
        horizontal = Input.GetAxisRaw("Horizontal");
        Move(vertical, horizontal);
        Turn(vertical, horizontal);

        if (isOnGround)
        {
            if (Input.GetButtonDown("Jump"))
            {
                rb.AddForce(Vector3.up * jumpForce);
                isOnGround = false;
            }
        }
    }

    private void Move(float v, float h)
    {
        movement.Set(h, 0, v);

        movement = movement.normalized * speed * Time.deltaTime;

        rb.MovePosition(transform.position + movement);
    }

    private void Turn(float v, float h)
    {
        Vector3 direction = new Vector3(h, 0f, v);

        //Si el personaje tuvo un cambio de rotacion
        if (direction != Vector3.zero)
        {
            //Direccion a donde debe girar el personaje
            Quaternion newRotation = Quaternion.LookRotation(direction);
            rb.rotation = newRotation;
        }
    }

    private void OnCollisionEnter(Collision collision)
    {
        if (collision.gameObject.CompareTag("Ground")) isOnGround = true;

        if(collision.gameObject.CompareTag("Bate")){
            collision.transform.parent = gameObject.transform;
        }

        if(collision.gameObject.CompareTag("Lonchera")){
            collision.collider.gameObject.active = false;
        }
    }

}
